c  Fichier 2nd_memb_2D_c.f
c
c*******************************************************************
      subroutine SECOND_MEMB_2D_c(cc,ic,jc,CONDB,SM,nnf,ntn,
     @       TABnoeud,nti,VECTF,numero)
c******************************************************************
c
c   Cette procedure ajoute aux second membre les conditions aux limites
c   suivant le probleme local que l'on veut resoudre. Deplus des conditions
c   aux limites sont sauvegardees dans un tableau en vue du calcul
c   tenseur homogeneise.

      implicit none

      integer   nnf,nti,k1,k2,j,VECTF,numero,ic,jc,kk,test,ntn
      real*8    CONDB,SM,cc
      real*8    TABnoeud
      dimension cc(*),ic(*),jc(*),SM(*)
      dimension CONDB(*),VECTF(*)
      dimension TABnoeud(ntn,*)

      kk=1
      test=nti+1

         do k2=1,nnf
            if (numero.eq.1) then
                 CONDB(k2)=TABnoeud(VECTF(k2),1)
                       else
                if (numero.eq.2) then
                    CONDB(k2)=TABnoeud(VECTF(k2),2)
                                 else
                    CONDB(k2)=TABnoeud(VECTF(k2),3)
                endif
            endif 
            do j=1,ic(k2+1)-ic(k2)
               k1=jc(kk)
                  if (k1.lt.test) then 
                     SM(k1)=-CONDB(k2)*cc(kk)+SM(k1)
                  endif
               kk=kk+1
            enddo
         enddo
c         do k1=1,nti
c               write(20,*)k1,' SM',numero,' ',SM(k1)
c         enddo
c         write(20,*)
         

      
      RETURN
      end





