      program main
c
c all values store in a two dimensional array - note that this does not work
c for three dimensional maps
c
      character*50 filename
c
c values of the tensor stored in separate arrays - the values are ordered
c lexicographically in the coordinates
c
      real kxx(10000),kxy(10000),kxz(10000)
      real kyx(10000),kyy(10000),kyz(10000)
      real kzx(10000),kzy(10000),kzz(10000)
c
      integer prcnt(5)
c
      bval = 1.0
      fval = 2.0
      prcnt(1) = 1
      prcnt(2) = 4
      prcnt(3) = 9
      prcnt(4) = 16
      prcnt(5) = 25
c
c set up the dimensions for the first examples
c
      nx = 100
      ny = 100
      nz = 1
      nnp = nx * ny * nz
c
c the following placed some patterns for doing periodic homogenization
c
c set the values
c
      nxp = nx * prcnt(1) / 100
      nyp = ny * prcnt(1) / 100
      do 1 j=1,ny
         j2 = ( j - 1 ) * nx
      do 1 i=1,nx
         ind = i + j2
         kxx(ind) = bval
         kxy(ind) = 0.0
         kxz(ind) = 0.0
         kyx(ind) = 0.0
         kyy(ind) = bval
         kyz(ind) = 0.0
         kzx(ind) = 0.0
         kzy(ind) = 0.0
         kzz(ind) = bval
         if(i .ge. (nx-nxp)/2+1 .and. i .le. (nx+nxp)/2) then
           kxx(ind) = fval
           kyy(ind) = fval
           kzz(ind) = fval
         end if
    1 continue
c
c this is the correct format for the map file
c
      open(unit=11,file='test.map')
      write(11,*) nx
      write(11,*) ny
      write(11,*) nz
      write(11,10) (kxx(i),i=1,nnp)
      write(11,10) (kxy(i),i=1,nnp)
      write(11,10) (kxz(i),i=1,nnp)
      write(11,10) (kyx(i),i=1,nnp)
      write(11,10) (kyy(i),i=1,nnp)
      write(11,10) (kyz(i),i=1,nnp)
      write(11,10) (kzx(i),i=1,nnp)
      write(11,10) (kzy(i),i=1,nnp)
      write(11,10) (kzz(i),i=1,nnp)
      close(unit=11)
c
c formats
c
   10 format(5(e14.8,2x))
      stop
      end
      function ran3(idum)
      parameter (mbig=1000000000,mseed=161803398,mz=0,fac=1.e-9)
      dimension ma(55)
      data iff /0/
c
      if(idum.lt.0.or.iff.eq.0)then
        iff=1
        mj=mseed-iabs(idum)
        mj=mod(mj,mbig)
        ma(55)=mj
        mk=1
c
        do 11 i=1,54
          ii=mod(21*i,55)
          ma(ii)=mk
          mk=mj-mk
          if(mk.lt.mz)mk=mk+mbig
          mj=ma(ii)
11      continue
c
        do 13 k=1,4
          do 12 i=1,55
            ma(i)=ma(i)-ma(1+mod(i+30,55))
            if(ma(i).lt.mz)ma(i)=ma(i)+mbig
12        continue
13      continue
c
        inext=0
        inextp=31
        idum=1
c
      endif
c
      inext=inext+1
      if(inext.eq.56)inext=1
c
      inextp=inextp+1
      if(inextp.eq.56)inextp=1
c
      mj=ma(inext)-ma(inextp)
      if(mj.lt.mz)mj=mj+mbig
c
      ma(inext)=mj
      ran3=mj*fac
c
      return
      end
