import java.awt.*;
public class PositionalDialog extends Dialog {
  public PositionalDialog (Frame parent, String title, boolean modal,
                           int width, int height) {
    super(parent, title, modal);
    if (parent != null) {
      Dimension d = parent.getSize();
      int xOffset = d.width / 2 - width / 2;
      int yOffset = d.height / 2 - height / 2;
      Point p = parent.getLocation();
      p.translate(xOffset, yOffset);
      setLocation(p);
    }
  }
}
