C234567
C     Les tableaux de fonctions sur le maillage fin.

      REAL S(DIMTABF),KRWT(DIMTABF),KROT(DIMTABF),PCT(DIMTABF)
      INTEGER ndf,entre(NUMTABF+1),Indx(NUMMF)
      COMMON /TableauxF/ S,KRWT,KROT,PCT,entre,Indx,ndf

C     S(),KRWT(),KROT(),PCT() = tableaux de la saturation et des 
C           fonctions de la saturation (permeabilite relative de 
C           l'eau, permeabilite relative de l'huile, pression 
C           capillare) 
C                KRWT(i)=krw(S(i)) etc.
C     entre() = le tableau de indices. 
C             entre(i) = est le premier element du i-eme
C                        tableau. Le i-eme tableau se trouve dans
C                        S(j),KRWT(j) pour j=entre(i),...,entre(i+1)-1,
C                        S(j),KROT(j) pour j=entre(i),...,entre(i+1)-1,
C                        S(j),PCT(j)  pour j=entre(i),...,entre(i+1)-1.
C     Indx() = le tableau des pointures a entre.
C             Indx(i) : i est l'indice de maille fin; 
C             Indx(i)=le numero des tableaux qui appartiennent aux  
C                     fonctions correspondant a maille i.
C             entre(Indx(i)) est l'indice de premier element de tableau.
C     ndf    = le numero de tableaux dans S(),KRWT(),KROT(),PCT()
