C  Tableaux sur le maillage grossier.
C
C234567
      INTEGER entreG(NUMTABG+1),IndxG(NUMMG),ndfg
      REAL SG(DIMTABG),PCTG(DIMTABG)
      REAL KRWTG1(DIMTABG),KRWTG2(DIMTABG),KRWTG3(DIMTABG)
      REAL KROTG1(DIMTABG),KROTG2(DIMTABG),KROTG3(DIMTABG)

      COMMON /TableauxG/ SG,PCTG,KRWTG1,KRWTG2,KRWTG3,
     >                   KROTG1,KROTG2,KROTG3,entreG,IndxG,ndfg

C     SG(),PCTG() = tableaux de la saturation et de la pression 
C           capillare.   PCTG(i)=PcG(SG(i))
C
C     SG(),KRWTG1(),KRWTG2(),KRWTG3()  = tableaux de la saturation et
C           des permeabilites relatives directionelle de 
C           l'eau; 
C  KRWTG1(i)=krw_x(SG(i)),KRWTG2(i)=krw_y(SG(i)),KRWTG3(i)=krw_z(SG(i))
C
C     SG(),KROTG1(),KROTG2(),KROTG3()  = tableaux de la saturation et
C           des permeabilites relatives directionelle de 
C           l'eau; 
C  KROTG1(i)=kro_x(SG(i)),KROTG2(i)=kro_y(SG(i)),KROTG3(i)=kro_z(SG(i))
C
C     entreG() = le tableau de indices. 
C             entreG(i) = est le premier element du i-eme
C                        tableau. Le i-eme tableau se trouve dans
C                  SG(j),KRWTG1(j) pour j=entre(i),...,entre(i+1)-1,
C                  SG(j),KROTG1(j) pour j=entre(i),...,entre(i+1)-1,
C                  SG(j),PCTG(j)   pour j=entre(i),...,entre(i+1)-1.
C             etc.
C
C     IndxG() = le tableau des pointures a entre.
C             IndxG(i) : i est l'indice de maille fin; 
C             IndxG(i)=le numero des tableaux qui appartiennent aux  
C                     fonctions correspondant a maille i.
C        entreG(IndxG(i)) est l'indice de premier element de tableau.
C     ndfg    = le numero de tableaux dans SG(),KRWTG1(), etc.
C               d'habitude egale a DimG.
