C     PARAMETRES:
C
C    MAXFX = le numero maximal de mailles fines dans la direction x.
C    MAXFY = le numero maximal de mailles fines dans la direction y.
C    MAXFZ = le numero maximal de mailles fines dans la direction z.
C
C    MAXGX = le numero maximal de mailles grosieres dans la direction x.
C    MAXGY = le numero maximal de mailles grosieres dans la direction y.
C    MAXGZ = le numero maximal de mailles grosieres dans la direction z.
C
C    NUMMF =  numero maximal des mailles fines.
C    NUMMG =  numero maximal des mailles grosieres.
C
C    NUMTABF = numero maximal des tableaux de fonctions sur le maillage
C               fin.
C    NUMTABG = numero maximal des tableaux de fonctions sur le maillage
C               grossier.
C
C    DIMFONC= dimension maximal de chaque tableau de 
C              fonction particulier.
C
C    DIMTABF = dimension maximal des tableaux de S et de KRWT,KROT,PCT.
C               (tableaux sur maillage fin)
C    DIMTABG = dimension maximal des tableaux de Sg et de PCTg.
C               (tableaux sur maillage grossier)
C
C    PARDIM = dimension du champ de parametres pour les fonctions 
C              analitiques de la saturation (krw,kro,ps)     

      INTEGER MAXFX,MAXFY,MAXFZ,MAXGX,MAXGY,MAXGZ
      INTEGER NUMMF,NUMMG,NUMTABF,NUMTABG,DIMFONC,DIMTABF,DIMTABG,PARDIM

      PARAMETER (MAXFX=70)
      PARAMETER (MAXFY=80)
      PARAMETER (MAXFZ=20)

      PARAMETER (MAXGX=30)
      PARAMETER (MAXGY=30)
      PARAMETER (MAXGZ=20)

      PARAMETER (NUMMF=MAXFX*MAXFY*MAXFZ)
      PARAMETER (NUMMG=MAXGX*MAXGY*MAXGZ)

      PARAMETER (NUMTABF=20)      ! Au maximum un tableau par maille 
      PARAMETER (NUMTABG=3*NUMMG) ! fine et trois par le grossiere.

      PARAMETER (DIMFONC=20)

      PARAMETER (DIMTABF=DIMFONC*NUMTABF)
      PARAMETER (DIMTABG=DIMFONC*NUMTABG)

      PARAMETER (PARDIM=12)

      INTEGER zz,zx
      COMMON /inout/ zz,zx
