***************************************************************************
** fonctionsbase.f


*     fichier contenant les fonctions de base sur K^
*
*              3----------4
*              |          |
*              |          |
*              |    K^    |
*              |          |
*              |          |
*              1----------2
*
*
*

*     fb1   fonction de base pour le sommet 1
*     fb2   fonction de base pour le sommet 2
*     fb3   fonction de base pour le sommet 3
*     fb4   fonction de base pour le sommet 4



      real function fb1(x,y)

      implicit none

      real x,y
      fb1=(1-x)*(1-y)/4

      return

      end

***************************************************************************

      real function fb2(x,y)

      implicit none
      real x,y

      fb2=(1+x)*(1-y)/4

      return

      end

***************************************************************************

      real function fb3(x,y)

      implicit none
      real x,y

      fb3=(1-x)*(1+y)/4

      return

      end

***************************************************************************

      real function fb4(x,y)

      implicit none

      real x,y
      fb4=(1+x)*(1+y)/4

      return

      end
