abstract class Basis2DObject extends Object {
  abstract double evaluate(double x, double y);
  abstract double evaluate(double x, double xl, double xr,
                           double y, double yl, double yr);
  abstract double dbydx(double x, double y);
  abstract double dbydx(double x, double xl, double xr,
                        double y, double yl, double yr);
  abstract double dbydy(double x, double y);
  abstract double dbydy(double x, double xl, double xr,
                        double y, double yl, double yr);
  abstract void setDomain(double xl, double xr,
                          double yl, double yr);
  abstract double getXLeftDomain();
  abstract double getXRightDomain();
  abstract double getYLeftDomain();
  abstract double getYRightDomain();
}
