C   Fichier: dimensions.h
C234567
      INTEGER dims(3),diml(3)
      INTEGER ngros(3),agregx(MAXGX),agregy(MAXGY),agregz(MAXGZ)
      INTEGER DimF,DimG,npp

C >>> Dimensions at agregations de maillage numerique


      REAL longfx(MAXFX),longfy(MAXFY),longfz(MAXFZ),dz(NUMMF)
 
      COMMON /dimen/ dims,diml,ngros,agregx,agregy,agregz,
     >               longfx,longfy,longfz,dz,DimF,DimG,npp


C  CEUX VALEURS SONT LUES DANS LA ROUTINE INPUT ET NE SONT PAS
C  CHANGEES PAR AUCUNE AUTRE ROUTINE. CHAQUE CHANGEMENT PRESENT
C  UNE ERREUR.

C     dims()   = dimensions des donnees dans le fichier 'inkx'
C     indice() = la boite qu'on doit extraire du fichier 'inkx'
C     diml()   = dimensions des donnees extraites

C     ngros(1) = nombre des mailles grossieres dans direction x
C     ngros(2) = nombre des mailles grossieres dans direction y
C     ngros(3) = nombre des mailles grossieres dans direction z

C     agregx() = coefficients d'agregation on x
C     agregy() = coefficients d'agregation on y
C     agregz() = coefficients d'agregation on z

C     longfx() = dimension de maille fine dans direction x
C     longfy() = dimension de maille fine dans direction y
C     longfz() = dimension de maille fine dans direction z

C      npp     = numero de points dans interpolation de la courbe de la
C                pression capillaire homogeneisee. 
C     DimF     = la dimension du maillage fin
C     DimG     = la dimension du maillage grossier
