c  Fichier mise_a_0_c.f
c
c*****************************************************************
      subroutine  MISE_A_ZERO_C(bb1,bb2,bb3,jb1,jb2,jb3,aa1,aa2,
     @   aa3,ja1,ja2,ja3,K,SMinter1,SMinter2,SMinter3,nti1,nti2,nti3,
     @     nelemA1,nelemA2,nelemA3,nelemB1,nelemB2,nelemB3,
     @ poroh1,MOY1,poroh2,MOY2,poroh3,MOY3,volume1,volume2,volume3)
c*****************************************************************
c
c  Cette procedure initialise les tableaux bb,jb,aa,ja,SMinter
c  a zero, ainsi que la partie non diagonale du tenseur K.
c
      implicit none

      integer   i
      integer   nelemB1,nelemB2,nelemB3,jb1,jb2,jb3,ja1,ja2,ja3
      integer   nelemA1,nelemA2,nelemA3,nti1,nti2,nti3
      real*8    K,poroh1,poroh2,poroh3,MOY1,MOY2,MOY3
      real*8    SMinter1,SMinter2,SMinter3,aa1,aa2,aa3
      real*8    bb1,bb2,bb3,volume1,volume2,volume3
      dimension K(3,*),MOY1(*),MOY2(*),MOY3(*)
      dimension SMinter1(*),SMinter2(*),SMinter3(*)
      dimension aa1(*),aa2(*),aa3(*),ja1(*),ja2(*),ja3(*)
      dimension bb1(*),bb2(*),bb3(*),jb1(*),jb2(*),jb3(*)

      volume1=0.d0
      volume2=0.d0
      volume3=0.d0

      do i=1,nti1     
         SMinter1(i)=0.d0
      enddo
      do i=1,nti2
         SMinter2(i)=0.d0
      enddo
      do i=1,nti3
         SMinter3(i)=0.d0
      enddo

      do i=1,nelemA1
         aa1(i)=0.d0
         ja1(i)=0
      enddo
      do i=1,nelemA2
         aa2(i)=0.d0
         ja2(i)=0
      enddo
      do i=1,nelemA3
         aa3(i)=0.d0
         ja3(i)=0
      enddo

      do i=1,nelemB1
         bb1(i)=0.d0
         jb1(i)=0
      enddo
      do i=1,nelemB2
         bb2(i)=0.d0
         jb2(i)=0
      enddo
      do i=1,nelemB3
         bb3(i)=0.d0
         jb3(i)=0
      enddo

c le tenseur de permeabilite est diagonal

      K(1,2)=0.d0
      K(1,3)=0.d0
      K(2,3)=0.d0
      K(2,1)=K(1,2)
      K(3,1)=K(1,3)
      K(3,2)=K(2,3)
     
      poroh1=0.d0
      poroh2=0.d0
      poroh3=0.d0

      do i=1,9
         MOY1(i)=0.d0
         MOY2(i)=0.d0
         MOY3(i)=0.d0
      enddo

 
      RETURN
      end


 



